summaryrefslogtreecommitdiffstats
path: root/libraries/gnome-autoar
diff options
context:
space:
mode:
author Ozan Türkyılmaz <ozan.turkyilmaz@gmail.com>2022-04-09 04:10:09 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:57 +0700
commitb850435276740cf5220a5f6d657306adb1159034 (patch)
tree252d45242114e33fdebbc6d98f4ec1450171110b /libraries/gnome-autoar
parent78d9b6638b944eb3572189aa0e02ca450ab91bea (diff)
downloadslackbuilds-b850435276740cf5220a5f6d657306adb1159034.tar.gz
slackbuilds-b850435276740cf5220a5f6d657306adb1159034.tar.xz
libraries/gnome-autoar: Added (Archives library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/gnome-autoar')
-rw-r--r--libraries/gnome-autoar/README19
-rw-r--r--libraries/gnome-autoar/gnome-autoar.SlackBuild126
-rw-r--r--libraries/gnome-autoar/gnome-autoar.info10
-rw-r--r--libraries/gnome-autoar/slack-desc19
4 files changed, 174 insertions, 0 deletions
diff --git a/libraries/gnome-autoar/README b/libraries/gnome-autoar/README
new file mode 100644
index 0000000000..db725e08a4
--- /dev/null
+++ b/libraries/gnome-autoar/README
@@ -0,0 +1,19 @@
+gnome-autoar provides functions and widgets for GNOME applications
+which want to use archives as a method to transfer directories over
+the Internet.
+
+Creating and extracting archives is easy, safe, and automatic.
+One module is created (gnome-autoar) and three modules are modified
+(Epiphany, Evolution, Empathy). The two major steps of this project
+are:
+ * An wrapper for libarchive, GIO, and GTK+, provides GObject-based
+ C API for archives and a few common widgets.
+ * Integrate archives into applications. I try to use existing
+ widgets in applications to show archive works and user
+ preferences settings.
+
+Below variables can be used to configure the build:
+ INTROSPECTION=enabled : Build introspection support
+ GTKDOC=true : Build GTK Doc reference
+ TESTS=true : Build tests
+ VAPI=true : Build vala bindings
diff --git a/libraries/gnome-autoar/gnome-autoar.SlackBuild b/libraries/gnome-autoar/gnome-autoar.SlackBuild
new file mode 100644
index 0000000000..addd3315b4
--- /dev/null
+++ b/libraries/gnome-autoar/gnome-autoar.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/bash
+
+# Slackware build script for gnome-autoar
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gnome-autoar
+VERSION=${VERSION:-0.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+INTROSPECTION=${INTROSPECTION:-disabled}
+GTKDOC=${GTKDOC:-false}
+TESTS=${TESTS:-false}
+VAPI=${VAPI:-false}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+
+# This symlink points at /tmp and needs removing or the find line will go
+# outside of the build tree
+rm -vf tests/files/extract/test-symlink-parent/reference/arextract
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dgtk=true \
+ -Dintrospection="$INTROSPECTION" \
+ -Dvapi="$VAPI" \
+ -Dtests="$TESTS" \
+ -Dgtk_doc="$GTKDOC"
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/gnome-autoar/gnome-autoar.info b/libraries/gnome-autoar/gnome-autoar.info
new file mode 100644
index 0000000000..bd5b6a8d85
--- /dev/null
+++ b/libraries/gnome-autoar/gnome-autoar.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-autoar"
+VERSION="0.4.3"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-autoar"
+DOWNLOAD="https://download.gnome.org/sources/gnome-autoar/0.4/gnome-autoar-0.4.3.tar.xz"
+MD5SUM="fa664dd9735297c517d6aa9417b3d3e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/libraries/gnome-autoar/slack-desc b/libraries/gnome-autoar/slack-desc
new file mode 100644
index 0000000000..8bde4c1f8f
--- /dev/null
+++ b/libraries/gnome-autoar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-autoar: gnome-autoar (Automatic archives creating and extracting library)
+gnome-autoar:
+gnome-autoar: Creating and extracting archives is easy, safe, and automatic. One
+gnome-autoar: module is created (gnome-autoar) and three modules are modified
+gnome-autoar: (Epiphany, Evolution, Empathy). The two major steps of this project
+gnome-autoar: are:
+gnome-autoar: * An wrapper for libarchive, GIO, and GTK+, provides GObject-based
+gnome-autoar: C API for archives and a few common widgets.
+gnome-autoar: * Integrate archives into applications. I try to use existing
+gnome-autoar: widgets in applications to show archive works and user
+gnome-autoar: preferences settings.